Update (PUT alias) campaign templates/item
curl --request PUT \
--url https://api.callaro.ai/api/v1/campaign_templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"call_windows": {},
"metadata": {},
"name": "<string>",
"agent_id": "<string>",
"from_phone_number_id": "<string>",
"telephony_connection_id": "<string>",
"max_retries": "<string>",
"concurrency_limit": 123,
"timezone": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
call_windows: {},
metadata: {},
name: '<string>',
agent_id: '<string>',
from_phone_number_id: '<string>',
telephony_connection_id: '<string>',
max_retries: '<string>',
concurrency_limit: 123,
timezone: '<string>'
})
};
fetch('https://api.callaro.ai/api/v1/campaign_templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/campaign_templates/{id}"
payload = {
"call_windows": {},
"metadata": {},
"name": "<string>",
"agent_id": "<string>",
"from_phone_number_id": "<string>",
"telephony_connection_id": "<string>",
"max_retries": "<string>",
"concurrency_limit": 123,
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"name": "<string>",
"agent_id": "<string>",
"agent_name": "<string>",
"from_phone_number_id": "<string>",
"telephony_connection_id": "<string>",
"max_retries": "<string>",
"concurrency_limit": 123,
"call_windows": "<string>",
"timezone": "<string>",
"metadata": {},
"created_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}CampaignTemplates
Update (PUT alias) campaign templates/item
From api/v1/campaign_templates#update in voice_saas_api. Fields come from that action’s strong params / params usage.
PUT
/
api
/
v1
/
campaign_templates
/
{id}
Update (PUT alias) campaign templates/item
curl --request PUT \
--url https://api.callaro.ai/api/v1/campaign_templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"call_windows": {},
"metadata": {},
"name": "<string>",
"agent_id": "<string>",
"from_phone_number_id": "<string>",
"telephony_connection_id": "<string>",
"max_retries": "<string>",
"concurrency_limit": 123,
"timezone": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
call_windows: {},
metadata: {},
name: '<string>',
agent_id: '<string>',
from_phone_number_id: '<string>',
telephony_connection_id: '<string>',
max_retries: '<string>',
concurrency_limit: 123,
timezone: '<string>'
})
};
fetch('https://api.callaro.ai/api/v1/campaign_templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/campaign_templates/{id}"
payload = {
"call_windows": {},
"metadata": {},
"name": "<string>",
"agent_id": "<string>",
"from_phone_number_id": "<string>",
"telephony_connection_id": "<string>",
"max_retries": "<string>",
"concurrency_limit": 123,
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"name": "<string>",
"agent_id": "<string>",
"agent_name": "<string>",
"from_phone_number_id": "<string>",
"telephony_connection_id": "<string>",
"max_retries": "<string>",
"concurrency_limit": 123,
"call_windows": "<string>",
"timezone": "<string>",
"metadata": {},
"created_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Path Parameters
Body
application/json
Was this page helpful?